Subject: RE: [Diffserv] Intuitive EF ?

From: Bill Courtney <[email-masked]>
Date: Wed, 26 Jul 2000 13:30:14 -0700

Grenville & Brijesh,
 
> > You will also have to add some condition about 
> > how long the router can delay after the EF 
> > packet arrives before the router sends 
> > the first bit of that packet.
> 
> I'm not sure I understand the need for this constraint. Provided the
> delay is relatively constant there isn't much more that EF requires.
> (In so far as EF aims to constrain jitter, but says nothing about
> whether EF-compliant routers can add 10ms of latency per hop, or
> 1ms, or 100us, or whatever just so long as it doesnt fluctuate too
> much, aka jitter.)
> 

You need the condition merely to prevent a long intitial latency.
It's not likely that anyone would configure EF PHB in a way that
would allow such a long latency. But without the condition, you 
would have to admit a router that delayed an EF aggregate any 
amount of time.

Anyway, I need to make a partial retraction of my previous optimistic
statement that a promising line of thought was to limit measurement
intervals to start at or near the time that the first EF bit is 
forwarded. This approach has some drawbacks.

1) The router could forward EF packets at a high rate and then
starve the EF aggregate for a while. The average rate as measured
from the forwarding of the first bit would still be equal to or
greater than the configured rate.

2) If you make the condition apply stating with the time of forwarding
of the first bit of each EF packet (so that "gluts and droughts" would not
be compliant behavior), then, I can see two alternatives (maybe there're
 more):

   A) You have a very large number of averages to maintain
   B) You reset each time a new EF packet is forwarded.

In case B, you have something very much like what we proposed in the
new definition draft. 

I still think that the exploration of new approaches to fixing the RFC
2598 is promising.

Cheers,
Bill Courtney
TRW, Network System Engineering
-----

Only the mediocre person is always at his best.
                                             Tom & Ray Magliozzi

--------------------------------------------------------------------- 

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Grenville Armitage <[email-masked]>
Date: Wed, 26 Jul 2000 15:16:37 -0700

Bill,

> would have to admit a router that delayed an EF aggregate any

Okay, so I'm trying to avoid adding words to a spec.  I honestly
dont see the problem with someone building a router that adds
XXXX ms of latency and then being able to claim it supports EF PHB.
Market forces (read, network operators laughing at XXXX ms latency)
will kill such a router (or router configuration) anyway. Its another
one of those intuitive things :-)

cheers,
gja